std::ostreambuf_iterator< _CharT, _Traits > Class Template Reference
I/O | Iterators

## Public Types

typedef _CharT | char_type
typedef basic_ostream< _CharT, _Traits > | ostream_type
typedef basic_streambuf< _CharT, _Traits > | streambuf_type
typedef _Traits | traits_type

## Public Member Functions

| ostreambuf_iterator (ostream_type &__s) noexcept
| ostreambuf_iterator (streambuf_type *__s) noexcept
ostreambuf_iterator & | _M_put (const _CharT *__ws, streamsize __len)
bool | failed () const noexcept
ostreambuf_iterator & | operator* ()
ostreambuf_iterator & | operator++ ()
ostreambuf_iterator & | operator++ (int)
ostreambuf_iterator & | operator= (_CharT __c)

## Friends

template<typename _CharT2 >
__gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, ostreambuf_iterator< _CharT2 > >::__type | copy (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, ostreambuf_iterator< _CharT2 >)

## Detailed Description

### template<typename _CharT, typename _Traits>
class std::ostreambuf_iterator< _CharT, _Traits >

Provides output iterator semantics for streambufs.

Definition at line 128 of file iosfwd.

The documentation for this class was generated from the following files:

- iosfwd
- streambuf_iterator.h